Skip to main content
GET
/
user
/
{username}
Get user by user name.
curl --request GET \
  --url https://petstore3.swagger.io/api/v3/user/{username}
import requests

url = "https://petstore3.swagger.io/api/v3/user/{username}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://petstore3.swagger.io/api/v3/user/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 10,
  "username": "theUser",
  "firstName": "John",
  "lastName": "James",
  "email": "john@email.com",
  "password": "12345",
  "phone": "12345",
  "userStatus": 1
}
{
"code": "<string>",
"message": "<string>"
}

Path Parameters

username
string
required

The name that needs to be fetched. Use user1 for testing

Response

successful operation

id
integer<int64>
Example:

10

username
string
Example:

"theUser"

firstName
string
Example:

"John"

lastName
string
Example:

"James"

email
string
Example:

"john@email.com"

password
string
Example:

"12345"

phone
string
Example:

"12345"

userStatus
integer<int32>

User Status

Example:

1